Package org.apache.sysds.hops.fedplanner

# Class FederatedMemoTable.FedPlanVariants

java.lang.Object
org.apache.sysds.hops.fedplanner.FederatedMemoTable.FedPlanVariants

Enclosing class:
  FederatedMemoTable

public static class FederatedMemoTable.FedPlanVariants extends Object
Represents a collection of federated execution plan variants for a specific Hop and FederatedOutput. This class contains cost information and references to the associated plans. It uses HopCommon to store common properties and costs related to the Hop.

## Constructor Summary

Constructors
Constructor
Description
`FedPlanVariants(FederatedMemoTable.HopCommon hopCommon, FEDInstruction.FederatedOutput fedOutType)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFedPlan(FederatedMemoTable.FedPlan fedPlan)`
`FEDInstruction.FederatedOutput`
`getFedOutType()`
`List<FederatedMemoTable.FedPlan>`
`getFedPlanVariants()`
`boolean`
`isEmpty()`
`boolean`
`pruneFedPlans()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FedPlanVariants

public FedPlanVariants(FederatedMemoTable.HopCommon hopCommon, FEDInstruction.FederatedOutput fedOutType)

## Method Details

### isEmpty

public boolean isEmpty()

### addFedPlan

public void addFedPlan(FederatedMemoTable.FedPlan fedPlan)

### getFedPlanVariants

public List<FederatedMemoTable.FedPlan> getFedPlanVariants()

### getFedOutType

public FEDInstruction.FederatedOutput getFedOutType()

### pruneFedPlans

public boolean pruneFedPlans()